OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.APPLE.Fence

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEFence :: MonadIO m => m Bool
- gl_APPLE_fence :: Bool
- gl_DRAW_PIXELS_APPLE :: GLenum
- gl_FENCE_APPLE :: GLenum
- glDeleteFencesAPPLE :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glFinishFenceAPPLE :: MonadIO m => GLuint -> m ()
- glFinishObjectAPPLE :: MonadIO m => GLenum -> GLint -> m ()
- glGenFencesAPPLE :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsFenceAPPLE :: MonadIO m => GLuint -> m GLboolean
- glSetFenceAPPLE :: MonadIO m => GLuint -> m ()
- glTestFenceAPPLE :: MonadIO m => GLuint -> m GLboolean
- glTestObjectAPPLE :: MonadIO m => GLenum -> GLuint -> m GLboolean

# Extension Support

glGetAPPLEFence :: MonadIO m => m Bool

Is the APPLE_fence extension supported?

gl_APPLE_fence :: Bool

Is the APPLE_fence extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEFence` in those cases instead.

# Enums

gl_DRAW_PIXELS_APPLE :: GLenum

gl_FENCE_APPLE :: GLenum

# Functions

glDeleteFencesAPPLE

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `fences` pointing to `n` elements of type `FenceNV`.
-> m () |

glFinishFenceAPPLE

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m () |

glFinishObjectAPPLE

Arguments

:: MonadIO m |
=> GLenum | `object` of type `ObjectTypeAPPLE`.
-> GLint | `name`.
-> m () |

glGenFencesAPPLE

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `fences` pointing to `n` elements of type `FenceNV`.
-> m () |

glIsFenceAPPLE

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m GLboolean | of type Boolean.

glSetFenceAPPLE

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m () |

glTestFenceAPPLE

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m GLboolean | of type Boolean.

glTestObjectAPPLE

Arguments

:: MonadIO m |
=> GLenum | `object` of type `ObjectTypeAPPLE`.
-> GLuint | `name`.
-> m GLboolean | of type Boolean.